Longfellow ZK 0290cb32

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Data Fields | Static Public Attributes
proofs::BitPlucker< Logic, LOGN > Class Template Reference
Collaboration diagram for proofs::BitPlucker< Logic, LOGN >:
[legend]

## Public Types
using | Field = typename Logic::Field
using | BitW = typename Logic::BitW
using | EltW = typename Logic::EltW
using | Elt = typename Field::Elt
using | PolyN = Poly<kN, Field>
using | InterpolationN = Interpolation<kN, Field>
using | v32 = typename Logic::v32
using | v256 = typename Logic::v256
using | packed_v32 = std::array<EltW, kNv32Elts>
using | packed_v128 = std::array<EltW, kNv128Elts>
using | packed_v256 = std::array<EltW, kNv256Elts>

## Public Member Functions
| BitPlucker (const Logic &l)
Logic::template bitvec< LOGN > | pluck (const EltW &e) const
v32 | unpack_v32 (const packed_v32 &v) const
template<typename T, typename PackedT>
T | unpack (const PackedT &v) const

## Data Fields
const Logic & | l_
std::vector< PolyN > | plucker_

## Static Public Attributes
static constexpr size_t | kN = 1 << LOGN
static constexpr size_t | kNv32Elts = (32u + LOGN - 1u) / LOGN
static constexpr size_t | kNv256Elts = (256u + LOGN - 1u) / LOGN
static constexpr size_t | kNv128Elts = (128u + LOGN - 1u) / LOGN

The documentation for this class was generated from the following file:

- lib/circuits/logic/bit_plucker.h